DeleteInsertDbRowOp (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.access.flush.operation, class: DeleteInsertDbRowOp

# Class DeleteInsertDbRowOp

java.lang.Object
org.apache.cayenne.access.flush.operation.BaseDbRowOp
org.apache.cayenne.access.flush.operation.DeleteInsertDbRowOp

All Implemented Interfaces:
  `DbRowOp`

public class DeleteInsertDbRowOp extends BaseDbRowOp
Special case op, that describes delete/insert sequence of different objects that have same ObjectId (known example: meaningful PK set to same value as used before).

Since:
  4.2

- ## Field Summary

  ### Fields inherited from class BaseDbRowOp

  `changeId, entity, hashCode, object`
  Modifier and Type
  Field
  Description
  `protected ObjectId`
  `changeId`
  `protected final DbEntity`
  `entity`
  `protected int`
  `hashCode`
  `protected final Persistent`
  `object`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteInsertDbRowOp(DeleteDbRowOp delete, InsertDbRowOp insert)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `accept(DbRowOpVisitor<T> visitor)`
  `boolean`
  `isSameBatch(DbRowOp rowOp)`

  ### Methods inherited from class BaseDbRowOp

  `entitiesHaveSameNameAndDataMap, equals, getChangeId, getEntity, getObject, hashCode, toString`
  Modifier and Type
  Method
  Description
  `protected boolean`
  `entitiesHaveSameNameAndDataMap(DbRowOp rowOp)`
  Internal check used in the batching ops logic
  `boolean`
  `equals(Object o)`
  `ObjectId`
  `getChangeId()`
  `DbEntity`
  `getEntity()`
  `Persistent`
  `getObject()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeleteInsertDbRowOp

    public DeleteInsertDbRowOp(DeleteDbRowOp delete, InsertDbRowOp insert)

- ## Method Details

  - ### accept

    public <T> T accept(DbRowOpVisitor<T> visitor)

  - ### isSameBatch

    public boolean isSameBatch(DbRowOp rowOp)
    Parameters:
      `rowOp` - to check
    Returns:
      is this and rowOp operations belong to same sql batch